[SOLVED] RFI: PHP versions and updates

Hey,

I am running CentOS 6.6 with Virtualmin installed.
My ‘job’ is server management. I do the updates and make sure that the server and it’s services are running.
There are developpers on the system that are complaining about the versions of php and mysql they need to work with.

Since I do this in my free time and do not have a lot of time to put a lot of work in this project, I maintain only the updates from authorized repositories (Centos). I have no time for testing and debugging with other repo’s.

Now, the problem: The developers are complaining about the ‘outdated’ versions of php and mysql.
php has version 5.3.3. MySQL has version ‘Server version: 5.1.73 Source distribution’.
I have already agreed to the developers to update MySQL to MariaDB, but I’m still stuck with the php.

Is there an official ‘CentOS approved’ way of upgrading php?
What is the reason that php does not upgrade? Is it security / Stability related or because CentOS 6.6 is EOL?

For LTS, should I upgrade to CentOS7?

Thanks for the feedback :slight_smile:

Update:
I found a good answer here:
http://stackoverflow.com/questions/21502656/upgrading-php-on-centos-6-5-final